"use strict";

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.addColumn("Merchants", "customDepositFeePercent", {
      type: Sequelize.DECIMAL(5, 2),
      allowNull: true,
    });
    await queryInterface.addColumn("Merchants", "customDepositFeeCap", {
      type: Sequelize.DECIMAL(10, 2),
      allowNull: true,
    });
    await queryInterface.addColumn("Merchants", "customPayoutFeeFlat", {
      type: Sequelize.DECIMAL(10, 2),
      allowNull: true,
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.removeColumn("Merchants", "customDepositFeePercent");
    await queryInterface.removeColumn("Merchants", "customDepositFeeCap");
    await queryInterface.removeColumn("Merchants", "customPayoutFeeFlat");
  },
};
